#
# spec file for package bff4
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bff4
Version:        1
Release:        15.3
Summary:        Fast Brainfuck interpreter
License:        SUSE-Public-Domain
Url:            http://mazonka.com/brainf/
Source0:        %{name}.c
# bnc#761551
Source1:        license-clarification.txt
# PATCH-FEATURE-OPENSUSE bff4-arg.patch adam@mizerski.pl -- add option to pass input file as command line argument
Patch0:         %{name}-arg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Optimizing brainfuck implementation of dialect based on Daniel's dbfi (see "A very short self-interpreter")

This interpreter has only one input: program and input to the program have to be separated with ! e.g. ",.!a" prints 'a' To use it in interactive mode paste your program as input.

This program is compiled with optimization of linear loops (where '<>' balanced), e.g. [->+>++<<]. Linear loop is then executed in one step.

Oleg Mazonka 4.12.06  http://mazonka.com/

%prep
cp %{SOURCE0} %{SOURCE1} .
%patch -P 0

%build
gcc %{name}.c -o %{name} %{optflags}

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc license-clarification.txt

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Tue Jun 19 2012 adam@mizerski.pl
- added license-clarification.txt (bnc#761551) and updated
  license tag
- updated bff4.c
- renamed arg.patch -> bff4-arg.patch and added patch info
- improved and cleaned-up spec file
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sun Apr 11 2010 adam@mizerski.pl
- new package
